Opened 11 months ago

Closed 11 months ago

Last modified 11 months ago

#56393 closed defect (fixed)

curl fails to build with libressl-devel

Reported by: conradwt (Conrad Taylor) Owned by: ryandesign (Ryan Schmidt)
Priority: Normal Milestone:
Component: ports Version: 2.4.3
Keywords: Cc: bK4gYuRo
Port: curl

Description

Curl fails to build with libressl-devel 2.7.2

Attachments (2)

curl-fails-to-build.log (322.7 KB) - added by conradwt (Conrad Taylor) 11 months ago.
curl-fails-to-build
main.log (236.5 KB) - added by bK4gYuRo 11 months ago.
build failure with libressl 2.5.5

Download all attachments as: .zip

Change History (9)

Changed 11 months ago by conradwt (Conrad Taylor)

Attachment: curl-fails-to-build.log added

curl-fails-to-build

comment:1 Changed 11 months ago by mf2k (Frank Schima)

Cc: ryandesign removed
Keywords: libressl-devel removed
Owner: set to ryandesign
Status: newassigned
Summary: curl fails to buildcurl fails to build with libressl-devel

comment:2 Changed 11 months ago by pmetzger (Perry E. Metzger)

Do the Curl developers support LibreSSL?

comment:3 Changed 11 months ago by ryandesign (Ryan Schmidt)

comment:4 Changed 11 months ago by pmetzger (Perry E. Metzger)

Last edited 11 months ago by pmetzger (Perry E. Metzger) (previous) (diff)

comment:5 Changed 11 months ago by raimue (Rainer Müller)

Resolution: fixed
Status: assignedclosed

comment:6 Changed 11 months ago by bK4gYuRo

Unfortunately, I have to report that build fails with libressl 2.5.5:

:info:build vtls/openssl.c:3519:21: warning: implicit declaration of function 'OpenSSL_version' is invali
d in C99 [-Wimplicit-function-declaration]
:info:build   const char *ver = OpenSSL_version(OPENSSL_VERSION);
:info:build                     ^
:info:build libtool: compile:  /usr/bin/clang -DHAVE_CONFIG_H -I../include -I../lib -I../lib -DBUILDING_L
IBCURL -DCURL_HIDDEN_SYMBOLS -isystem /opt/local/include -I/opt/local/include -fvisibility=hidden -pipe -
Os -mmacosx-version-min=10.13 -arch x86_64 -Qunused-arguments -Werror=partial-availability -MT vtls/libcu
rl_la-polarssl_threadlock.lo -MD -MP -MF vtls/.deps/libcurl_la-polarssl_threadlock.Tpo -c vtls/polarssl_t
hreadlock.c -o vtls/libcurl_la-polarssl_threadlock.o >/dev/null 2>&1
:info:build vtls/openssl.c:3519:37: error: use of undeclared identifier 'OPENSSL_VERSION'
:info:build   const char *ver = OpenSSL_version(OPENSSL_VERSION);
:info:build                                     ^
:info:build 1 warning and 1 error generated.
:info:build make[2]: *** [vtls/libcurl_la-openssl.lo] Error 1

This is on 10.13.4 with libressl @2.5.5_0.

I would like to switch to libressl-devel, but libevent and py27-cryptography are still not fixed for libressl 2.7.2, so I cannot do it yet. I am not sure if making curl to build with libressl 2.5.5 is justified as we better move forward, not backwards. In the meantime I have to stay with curl @7.59.0_0+ssl.

Just in case, I am attaching the full build log.

Changed 11 months ago by bK4gYuRo

Attachment: main.log added

build failure with libressl 2.5.5

comment:7 Changed 11 months ago by bK4gYuRo

Cc: bK4gYuRo added
Note: See TracTickets for help on using tickets.